diff --git a/src/listconf.c b/src/listconf.c
index def4569b8e..aef7ce880c 100644
--- a/src/listconf.c
+++ b/src/listconf.c
@@ -326,13 +326,13 @@ static void listconf_list_build_info(void)
 	printf("times(2) CLK_TCK is %ld\n", clk_tck);
 #endif
 #if defined (__MINGW32__) || defined (_MSC_VER)
-	printf("Using clock(3) for timers, claimed resolution %ss, actual seen %ss\n",
+	printf("Using clock(3) for timers, claimed resolution %ss, observed %ss\n",
 	       human_prefix_small(1.0 / CLOCKS_PER_SEC),
 	       human_prefix_small(sm_cPrecision));
 #else
 	printf("Using times(2) for timers, resolution %ss\n", human_prefix_small(1.0 / clk_tck));
 #endif
-	printf("HR timer claimed resolution %ss, actual seen %ss\n", human_prefix_small(1.0 / sm_HRTicksPerSec), human_prefix_small(sm_hrPrecision));
+	printf("HR timer claimed resolution %ss, observed %ss\n", human_prefix_small(1.0 / sm_HRTicksPerSec), human_prefix_small(sm_hrPrecision));
 
 // OK, now append debugging options, BUT only output  something if
 // one or more of them is set. IF none set, be silent.
diff --git a/src/timer.h b/src/timer.h
index ee958e7509..55c6983cfa 100644
--- a/src/timer.h
+++ b/src/timer.h
@@ -35,7 +35,7 @@ typedef LARGE_INTEGER hr_timer;
 			(X) = 0.0; \
 	}
 
-#elif __MACH__ /* macOS */
+#elif __MACH__ /* OSX / macOS, monotonic nanosecond */
 
 #include <mach/mach_time.h>
 
@@ -52,11 +52,17 @@ typedef struct timespec hr_timer;
 /* Do we seem to have a (hopefully) nanosecond monotonic clock? */
 #if _POSIX_TIMERS && defined(_POSIX_MONOTONIC_CLOCK)
 
+#ifdef CLOCK_MONOTONIC_RAW
+#define BEST_MONOTONIC CLOCK_MONOTONIC_RAW
+#else
+#define BEST_MONOTONIC CLOCK_MONOTONIC
+#endif
+
 typedef struct timespec hr_timer;
 #define HRZERO(X)             (X).tv_sec = (X).tv_nsec = 0
-#define HRSETCURRENT(X)       clock_gettime(CLOCK_MONOTONIC, &(X))
+#define HRSETCURRENT(X)       clock_gettime(BEST_MONOTONIC, &(X))
 #define HRGETTICKS(X)         ((double)(X).tv_sec * 1E9 + (double)(X).tv_nsec)
-#define HRGETTICKS_PER_SEC(X) { hr_timer r; clock_getres(CLOCK_MONOTONIC, &r); (X) = r.tv_sec + 1E9 / r.tv_nsec; }
+#define HRGETTICKS_PER_SEC(X) { hr_timer r; clock_getres(BEST_MONOTONIC, &r); (X) = r.tv_sec + 1E9 / r.tv_nsec; }
 
 #else /* Fallback to microsecond non-monotonic clock that should be available */
 
@@ -97,7 +103,7 @@ extern double sm_cPrecision;     // clocks (ticks) per second (observed, guess)
 #define sTimer_Start_noclear(t) \
     do { \
     if (sm_HRTicksPerSec != 0.0) { HRSETCURRENT ((t)->m_hrStartTime); } \
-    else { (t)->m_cStartTime = clock (); } \
+    else { (t)->m_cStartTime = clock(); } \
     (t)->m_fRunning = 1; \
     } while (0)
 
